// Module pour faire une requête serveur par injection de script

export function envoyer(url,parametres,traitement) {
    if ( parametres ) {
        let tmp = "";
        for ( param in parametres ) {
            if ( !tmp )
                tmp += "&";
            tmp += param + "=" + encodeURI( parametres[ param ] );
        }
        url += "?" + tmp;
    }

    const head = document.querySelector( "head" );
    const script = document.createElement( "script" );
    script.onload = traitement;
    script.src = url;
    head.appendChild( script );
}